LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::document::LinkUpdateModes Constant Group Referencepublished

## Variables
const long | NEVER = 0
| never update links More...
const long | MANUAL = 1
| update links when confirmed on request during loading the document More...
const long | AUTO = 2
| automatic update on load More...
const long | GLOBAL_SETTING = 3
| use the setting that is configured in your installed application. More...

## Variable Documentation

const long AUTO = 2

automatic update on load

const long GLOBAL_SETTING = 3

use the setting that is configured in your installed application.

This may be one of the above behaviors.

const long MANUAL = 1

update links when confirmed on request during loading the document

const long NEVER = 0

never update links